




#ifndef _INC_IMCONV_H_
#define _INC_IMCONV_H_



#include "image.h"
#include "keyword.h"


typedef enum { ImConvNormal, ImConvZero, ImConvPositive, ImConvDirect } ImConvMode;

kwDefType(KW_imConv, double thresh; double mxval; ImConvMode mode; AnyImage into;);

#define imConv(IMG, TOTYPE, KWA...)  \
          kwCall(im_Conv_, 3, KW_imConv, ((void *)(IMG)), ((IMG)->header), TOTYPE, KWA)

extern AnyImage im_Conv_(void *img, ImageHeader *hdr, ImageType totype, kwArgDecl(KW_imConv));
extern ImageType imConvGoodConversion(ImageType type, ImageType oktypes);


#endif
